Ul confused when window moved between screens that have different pixel density
Status: Closed Start date: 2018-11-18
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.1 (Late 2018)

Description

When there are multiple screens available, it is possible that the Doomsday window is moved between screens whose pixel density
is different. In this case, the change in pixel ratio must be detected and the Ul must be updated accordingly.

This requires making the pixel ratio part of Ul layout length rules so that its value can change dynamically. Also, the Ul style package
must be reloadable so that fonts can be reconfigured with the appropriate new sizes.

As a side effect, supporting dynamic pixel ratio changes will also make it possible to apply the user's custom Ul scale factor on the fly
without requiring a restart.

Associated revisions

Revision e5af53c7 - 2018-11-18 07:40 - skyjake
libgui|Ul: Changing window pixel ratio

GLWindow will notify observers when the pixel ratio changes.
Renamed the term “DPI factor” to “pixel ratio”.
History

#1 - 2018-11-18 08:06 - skyjake
- % Done changed from 100 to 80

There is a remaining issue with Ul images having the wrong sizes after the pixel ratio change.

#2 - 2018-11-18 08:07 - skyjake

- Status changed from Resolved to In Progress

#3 - 2018-11-18 12:30 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

ecd4aee38bd handles image sizing in this situation.

#4 - 2018-12-06 12:14 - skyjake

- Status changed from Resolved to Closed
